Page MenuHomePhabricator

Show header/footer by default (wmgProofreadPageShowHeaders) on Punjabi Wikisource
Closed, ResolvedPublic

Description

This is a request to show header/footer by default in Punjabi Wikisource. This will reduce the time and efforts of us and help us increase our work.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable wmgProofreadPageShowHeaders on pawikisource

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2019, 4:43 PM
Aklapper removed Hardarshan2207 as the assignee of this task.May 7 2019, 6:01 PM
Aklapper removed a project: Wikisource.

Hi @Hardarshan2207, thanks for taking the time to report this and welcome to Wikimedia Phabricator!

I'm removing the Wikisource tag, see https://phabricator.wikimedia.org/project/profile/1117/ and I'm resetting the assignee, see https://www.mediawiki.org/wiki/How_to_report_a_bug

@Hardarshan2207: I assume this is about https://pa.wikisource.org/ (please always include clear steps to reproduce including links, see https://www.mediawiki.org/wiki/How_to_report_a_bug ). Where exactly to see a header / footer? How would a header / footer look like? Please see https://www.mediawiki.org/wiki/How_to_report_a_bug and provide 1) steps to reproduce, 2) what exactly you expect, 3) what happens instead. Thanks!

@Aklapper Sorry for that this is my first request.
Follow the steps now-

  1. Go to https://pa.wikisource.org/
  2. Make sure you are logged in.
  3. Click on ਤਰਜੀਹਾਂ(Preferences)
  4. Now click on ਸੋਧ ਜਾਰੀ(Editing)
  5. Tick this option 'Page ਨਾਮਸਥਾਨ ਵਿੱਚ ਹੈਡਰ ਅਤੇ ਫ਼ੁਟਰ ਦੀ ਜਗ੍ਹਾ ਦਿਖਾਓ'(Show header and footer fields toggle the visibility of the noinclude header and footer sections when editing in the Page namespace)

I want this option always ticked for every user

Aklapper renamed this task from Show header/footer by default on Punjabi Wikisource to Show header/footer by default (wmgProofreadPageShowHeaders) on Punjabi Wikisource.May 8 2019, 9:51 AM

Thanks! Let's see... https://pa.wikisource.org/wiki/ਖ਼ਾਸ:ਪਸੰਦਾਂ?uselang=qqx#mw-prefsection-editing shows that this option is proofreadpage-preferences-showheaders-label. So the setting is called wmgProofreadPageShowHeaders. It can be enabled in https://noc.wikimedia.org/conf/InitialiseSettings.php.txt.
Someone (you or anybody interested) could write a software patch for the operations/mediawiki-config code repository with a one-line change in the file InitialiseSettings.php.

I want this option always ticked for every user

Please link to a community discussion with consensus. See https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes - thanks!

Change 509594 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable wmgProofreadPageShowHeaders on pawikisource

https://gerrit.wikimedia.org/r/509594

Framawiki moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Framawiki added a subscriber: Framawiki.

Deployment planned for tomorrow May 13th 18:00 UTC.

Change 509594 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable wmgProofreadPageShowHeaders on pawikisource

https://gerrit.wikimedia.org/r/509594

Mentioned in SAL (#wikimedia-operations) [2019-05-13T18:12:17Z] <reedy@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T223006 T222740 T222044 (duration: 00m 49s)

Change deployed.

Framawiki closed this task as Resolved.May 13 2019, 6:18 PM